#!/bin/sh

echo "Checking Interfaces..."
ifconfig wlan0 > /dev/null 2> /dev/null
if [ $? == 0 ]; then
    ping -c 5 www.google.com > /dev/null 2> /dev/null
    if [ $? != 0 ]; then
        echo "Reconnecting Interface..."
        /etc/init.d/network stop
        sleep 10
        /etc/init.d/network start
        echo "Interfaces restarted"
        echo "Restarting services..."
	sleep 10
	/etc/init.d/watchdog restart
	/etc/init.d/as-mac-capture restart
	
#
#        /etc/init.d/wifidog stop
#        /etc/init.d/firewall stop
#        sleep 10
#        /etc/init.d/firewall start
#        sleep 2
#        /etc/init.d/wifidog start
        echo "Services restarted!"
    else
        echo "Everything is good!"
    fi
else
    echo "Interface is down manually..."
fi
