#!/bin/sh

if [ $# -ne 2 ]; then
   echo -e "Usage:\n\t$0 {hostname} {serverpassword}"
   exit 1;
fi

HOSTNAME=${1}
PASS=${2}

rm /etc/openvpn/keys/client.*
sshpass -p ${PASS} scp root@cportal1.allshoppings.mobi:/usr/local/as-wifidog-auth-server/usr/easyrsa/keys/${HOSTNAME}.crt /etc/openvpn/keys/client.crt
sshpass -p ${PASS} scp root@cportal1.allshoppings.mobi:/usr/local/as-wifidog-auth-server/usr/easyrsa/keys/${HOSTNAME}.key /etc/openvpn/keys/client.key

killall -9 openvpn
openvpn /etc/openvpn/client.conf &
